# wxMBConvUTF32 Class Reference
[Text Conversion]

`#include </home/work/projects/wx/2.9/wx/interface/wx/strconv.h>`

Inheritance diagram for wxMBConvUTF32:
[legend]

## Detailed Description

This class is used to convert between multibyte encodings and UTF-32 Unicode encoding (also known as UCS-4).

Unlike UTF-8 encoding, UTF-32 uses (double) words and not bytes and hence depends on the byte ordering: big or little endian. Hence this class is provided in two versions: wxMBConvUTF32LE and wxMBConvUTF32BE and wxMBConvUTF32 itself is just a typedef for one of them (native for the given platform, e.g. LE under Windows and BE under Mac).

##

Library: wxBase
Category: Text Conversion

See also:
  wxMBConvUTF8, wxMBConvUTF16, wxMBConv Overview

List of all members.

|  | [ top ]